Name:           gumbo-parser
Version:        0.10.1
Release:    1%{?dist}
Summary:        A HTML5 parser

License:        Apache-2.0
URL:            https://github.com/google/gumbo-parser

Source0:        https://github.com/google/gumbo-parser/archive/v0.10.1.tar.gz#/gumbo-parser-0.10.1.tar.gz
Patch1:         0001-Doxygen-tweaks.patch
Patch2:         0002-Autotool-generated-sources.patch

BuildRequires:  gcc-c++
BuildRequires: gtest-devel

BuildRequires: doxygen

BuildRequires: python3-setuptools
BuildRequires: python3-devel
BuildRequires: make

%description
Gumbo is an implementation of the HTML5 parsing algorithm implemented as
a pure C99 library with no outside dependencies. It's designed to serve
as a building block for other tools and libraries such as linters,
validators, templating languages, and refactoring and analysis tools.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package	python
Summary:        Python bindings to %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description	python
Python bindings to %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1

%patch2 -p1
chmod +x config.guess config.sub configure \
depcomp install-sh missing test-driver
touch -r aclocal.m4 configure m4/*.m4 Makefile.in

doxygen -u Doxyfile

touch footer.html
doxygen -w html /dev/null footer.html /dev/null Doxyfile
sed -i -e 's,\$generatedby,Generated on $date for $projectname by,' footer.html


sed -i -e 's,{{VERSION}},%version,' setup.py

%build
%configure --disable-static --disable-silent-rules --docdir=%{_pkgdocdir}
%{make_build}

doxygen Doxyfile

%{__python3} setup.py build

%check
make check

%install
%{make_install}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

install -m 755 -d %{buildroot}%{_mandir}/man3
install -m 644 docs/man/man3/*.3 %{buildroot}%{_mandir}/man3

install -m 755 -d %{buildroot}%{_pkgdocdir}
cp -r docs/html %{buildroot}%{_pkgdocdir}
install -m 644 {COPYING,*.md} %{buildroot}%{_pkgdocdir}

%{__python3} setup.py install -O1 --skip-build --root %{buildroot}



%files
%{_pkgdocdir}
%exclude %{_pkgdocdir}/html
%exclude %{_pkgdocdir}/*.md
%{_libdir}/*.so.*

%files devel
%doc %{_pkgdocdir}/html
%doc %{_pkgdocdir}/*.md
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/gumbo.pc
%{_mandir}/man3/*.3*

%files python
%{python3_sitelib}/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.1-1
- initial build
